Package Details: mixbus 6.0.697-1

Git Clone URL: https://aur.archlinux.org/mixbus.git (read-only, click to copy)
Package Base: mixbus
Description: Harrison Mixbus - Digital Audio Workstation
Upstream URL: http://harrisonconsoles.com/site/mixbus.html
Licenses: EULA, GPLv2
Provides: mixbus
Submitter: usrmusicman
Maintainer: None
Last Packager: usrmusicman
Votes: 2
Popularity: 0.018447
First Submitted: 2019-03-14 19:43
Last Updated: 2020-04-18 01:24

Latest Comments

marcinn commented on 2020-04-20 18:36

thanks

usrmusicman commented on 2020-04-20 18:32

use mixbus6, mixbus5 or mixbus4 instead of this package now

marcinn commented on 2020-04-19 23:18

Hi.

This patch changes the directory, where user must put downloaded archive. Now the installer looks for the archive into user's downloads directory.

That change avoids manual download of PKGBUILD and gives possibility to install package using GUI tools like Pamac (GTK). Also the Downloads directory is valid for most cases, where user must use browser to download anything (by default browsers are downloading files into this location).

diff --git a/PKGBUILD b/PKGBUILD
index 780208b..1407806 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,15 +15,16 @@ provides=("$pkgname")

 prepare() {
 ## Setup mixbus for installation
-_archive=Mixbus-$pkgver-Linux-64bit-gcc5.tar
-if [ -f ../${_archive} ]; then
-       ln -srf ../${_archive} $srcdir/${_archive}
+_archive="`xdg-user-dir DOWNLOAD`/Mixbus-$pkgver-Linux-64bit-gcc5.tar"
+if [ -f ${_archive} ]; then
+       ln -srf ${_archive} "$srcdir/`basename ${_archive}`"
        msg2 "Unpacking Installer..."
        tar -xf ${_archive}
        ./Mixbus-$pkgver-$(uname -m)-gcc5.run --tar xf
        tar -xf $srcdir/Mixbus_$(uname -m)-$pkgver.tar
 else
-       echo "Please download a copy from https://harrisonconsoles.com/site/$pkgname.html. Then put the ${_archive} in the root of this PKGBUILD directory."
+       echo "Please download a copy from https://harrisonconsoles.com/site/$pkgname.html. Then put the `basename ${_archive}` in the `xdg-user-dir DOWNLOAD` directory."
+    exit 1
 fi
 }

Also the installer exits immediately when there is no archive on the path. Previously the installer was failing on next operation.

One more thing... Not all users will buy upgrade, but they will be notified about possible upgrade all the time. Please consider separate packages for major versions of Mixbus.

Thanks!

capoeira commented on 2019-12-03 11:14

packageversion needs to be 5.3.4